# Activity Object

> Source: https://truto.one/docs/api-reference/unified-conversational-intelligence-api/activity/

Schema for the `Activity` resource in **Unified Conversational Intelligence API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the activity record
- **`user`** _(object)_
  The user the activity record belongs to
  - **`id`** _(string, required)_
    The unique identifier for the user
  - **`name`** _(string)_
    Name of the user
  - **`emails`** _(array<object>)_
    List of email addresses of the user
    - **`email`** _(string)_
      Email address of the user
    - **`is_primary`** _(boolean)_
      Whether the email address is the primary email address of the user
- **`start_time`** _(string)_
  Start of the aggregation period in ISO 8601 format
- **`end_time`** _(string)_
  End of the aggregation period in ISO 8601 format
- **`aggregation_period`** _(string)_
  Granularity of the aggregation. Can be `day`, `week`, `month`, or `total`.
  Allowed: `day`, `week`, `month`, `total`
- **`metrics`** _(object)_
  Aggregated platform activity counts for the user in the period
  - **`calls_hosted`** _(integer)_
    Number of calls or meetings hosted by the user
  - **`calls_attended`** _(integer)_
    Number of calls or meetings attended by the user
  - **`calls_listened_own`** _(integer)_
    Number of the user's own calls listened to
  - **`calls_listened_others`** _(integer)_
    Number of other users' calls listened to
  - **`feedback_given`** _(integer)_
    Number of times the user gave feedback on calls
  - **`feedback_received`** _(integer)_
    Number of times the user received feedback on calls
  - **`feedback_requested`** _(integer)_
    Number of times the user requested feedback on calls
  - **`comments_given`** _(integer)_
    Number of comments given on calls
  - **`comments_received`** _(integer)_
    Number of comments received on calls
  - **`calls_shared_internally`** _(integer)_
    Number of calls shared internally
  - **`calls_shared_externally`** _(integer)_
    Number of calls shared externally
  - **`scorecards_filled`** _(integer)_
    Number of scorecards completed by the user as reviewer
  - **`scorecards_received`** _(integer)_
    Number of scorecards received by the user as reviewee
  - **`calls_marked_feedback_given`** _(integer)_
    Number of calls marked as feedback given
  - **`calls_marked_feedback_received`** _(integer)_
    Number of calls marked as feedback received
- **`created_at`** _(string)_
  When the activity record was created in the source system
- **`updated_at`** _(string)_
  When the activity record was last updated in the source system
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/conversational-intelligence/activity](/docs/api-reference/unified-conversational-intelligence-api/activity/list) — List Activity
